org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPTemplateTypeParameter

All Superinterfaces:
  Cloneable, IBinding, ICPPBinding, ICPPTemplateParameter, IType

    public interface ICPPTemplateTypeParameter
    extends ICPPTemplateParameter, IType

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateParameter

`EMPTY_TEMPLATE_PARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getDefault()` The default type for this parameter.
`boolean` `isSameType(IType type)` Types containing template parameters need to be compared even before it is known to which binding the template parameter belongs to.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateParameter

`getDefaultValue, getParameterID, getParameterPosition, getTemplateNestingLevel, isParameterPack`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone`

### Method Detail

#### getDefault

    IType getDefault()
              throws DOMException

The default type for this parameter. May be `null`.

Throws:
  `DOMException`

#### isSameType

    boolean isSameType(IType type)

Types containing template parameters need to be compared even before it is known to which binding the template parameter belongs to. Therefore `isSameType(IType)` compares the kind and the parameter position of the template parameter, only. The name and the owner is ignored.

Specified by:
  `isSameType` in interface `IType`
Since:
  5.1